Module java.naming
Package javax.naming

## Class StringRefAddr

- java.lang.Object
- - javax.naming.RefAddr
  - - javax.naming.StringRefAddr

All Implemented Interfaces:
  Serializable

    public class StringRefAddr
    extends RefAddr

This class represents the string form of the address of a communications end-point. It consists of a type that describes the communication mechanism and a string contents specific to that communication mechanism. The format and interpretation of the address type and the contents of the address are based on the agreement of three parties: the client that uses the address, the object/server that can be reached using the address, and the administrator or program that creates the address.

An example of a string reference address is a host name. Another example of a string reference address is a URL.

A string reference address is immutable: once created, it cannot be changed. Multithreaded access to a single StringRefAddr need not be synchronized.

Since:
  1.3
See Also:
  `RefAddr`, `BinaryRefAddr`, Serialized Form

### Field Summary

### Fields inherited from class javax.naming.RefAddr

`addrType`

### Constructor Summary

Constructors
Constructor and Description
`StringRefAddr(String addrType, String addr)` Constructs a new instance of StringRefAddr using its address type and contents.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getContent()` Retrieves the contents of this address.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from class javax.naming.RefAddr

`equals, getType, hashCode, toString`

### Constructor Detail

#### StringRefAddr

    public StringRefAddr(String addrType,
                         String addr)

Constructs a new instance of StringRefAddr using its address type and contents.

Parameters:
  `addrType` - A non-null string describing the type of the address.
  `addr` - The possibly null contents of the address in the form of a string.

### Method Detail

#### getContent

    public Object getContent()

Retrieves the contents of this address. The result is a string.

Specified by:
  `getContent` in class `RefAddr`
Returns:
  The possibly null address contents.